Web lists-archives.com

PHP Support in Debian




Hi,

we (as in several customers and I) are wondering about the status
of php support in Debian.

* According to http://php.net/supported-versions.php upstream
security support for 5.6 (jessie) and 7.0 (stretch) will be gone
soon. Is it possible to support these versions properly for our
users as long as there is security/LTS support for our releases?

* Lots of applications require php 7.1 or 7.2 these days. As
there is no official backport, the only option right now is
to use CentOS with SCLs. I know that there is
https://deb.sury.org - but prefer to trust stuff that was
built on Debian machines and is distributed/signed with a
key we trust.


Will there be a proper solution for that soon?


Thanks,

Bernd


--
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprint: ECA1 E3F2 8E11 2432 D485  DD95 EB36 171A 6FF9 435F